Subject: Re: hpff-task: CCI's (fwd)

From: <[email-masked]> (Henry Zongaro)
Date: Tue, 10 Oct 1995 09:57:43 -0400 (EDT)

---------------------------------------------------------------------------
[email-masked] is a mailing list for discussion of control-parallel
features in HPF.  Instructions for adding or deleting yourself from this
list appear at the bottom of this message.
---------------------------------------------------------------------------

I just sent this to Rob.  I forgot to copy hpff-task as well.

Thanks,

Henry

Forwarded message:
> From henry Tue Oct 10 09:55:42 1995
> Subject: Re: hpff-task: CCI's
> To: [email-masked] (Rob Schreiber)
> Date: Tue, 10 Oct 1995 09:55:42 -0400 (EDT)
> In-Reply-To: <[email-masked]> from "Rob Schreiber" at Oct 9, 95 02:51:25 pm
> X-Mailer: ELM [version 2.4 PL24alpha3]
> Content-Type: text
> Content-Length: 756
>
> > Group C, CCI status.
> >
> >
> > Number 18.   Source:  Zongaro   date 5-4-95
> > Subject:  Defined assignment in Forall
> > Status:
> >
> > Resolved.  CHK will provide clarification in HPF 2 document.   It will be
> > achange to the "sequentializatio" of the forall to account for defined
> > assignments.
>
>      X3J3 is taking a different approach on CCI 18.  They're trying to prohibit
> references in the procedure that defines the assignment to the variable that
> appears on the left-hand side of the defined assignment.  I believe WG5 will
> decide on this in their November meeting.
>
>      We might want to pick up whatever they decide.  One advantage of the
> restriction is that no extra compiler mechanisms are required for this somewhat
> obscure case.
>
> Thanks,
>
> Henry
>
---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------